aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhaas <rhaas@325d7946-0b50-4e3b-902a-3a8d69fbdfa6>2014-02-12 22:20:49 +0000
committerrhaas <rhaas@325d7946-0b50-4e3b-902a-3a8d69fbdfa6>2014-02-12 22:20:49 +0000
commit5521229b1dcbd064dcbe782b76778bc2d47e380a (patch)
tree472d702c5528ad538cb78eb3223ba96f3854f5af
parent2cdde996a4dfe7b7f4e55d17d1217775a10a249f (diff)
report missing PATCH or TAR
git-svn-id: http://svn.cactuscode.org/projects/ExternalLibraries/FFTW3/trunk@35 325d7946-0b50-4e3b-902a-3a8d69fbdfa6
-rw-r--r--configure.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/configure.sh b/configure.sh
index 8b6028a..2f49d0a 100644
--- a/configure.sh
+++ b/configure.sh
@@ -79,6 +79,23 @@ then
echo "Using bundled FFTW3..."
echo "END MESSAGE"
+ # check for required tools. Do this here so that we don't require them when
+ # using the system library
+ if [ x$TAR = x ] ; then
+ echo 'BEGIN ERROR'
+ echo 'Could not find tar command. Please make sure that (gnu) tar is present'
+ echo 'and that the TAR variable is set to its location.'
+ echo 'END ERROR'
+ exit 1
+ fi
+ #if [ x$PATCH = x ] ; then
+ # echo 'BEGIN ERROR'
+ # echo 'Could not find patch command. Please make sure that (gnu) tar is present'
+ # echo 'and that the PATCH variable is set to its location.'
+ # echo 'END ERROR'
+ # exit 1
+ #fi
+
# Set locations
THORN=FFTW3
NAME=fftw-3.3.3